ITrcPktIndexer< Pt > Class Template Referenceabstract
OpenCSD Library : Interfaces

Templated interface class to index packet types. More...

`#include <trc_indexer_pkt_i.h>`

Inheritance diagram for ITrcPktIndexer< Pt >:
[legend]
Collaboration diagram for ITrcPktIndexer< Pt >:
[legend]

## Public Member Functions

| ITrcPktIndexer ()
virtual | ~ITrcPktIndexer ()
virtual void | TracePktIndex (const ocsd_trc_index_t index_sop, const Pt *packet_type)=0
Public Member Functions inherited from ITrcTypedBase
| ITrcTypedBase ()
virtual | ~ITrcTypedBase ()

## Detailed Description

### template<class Pt>
class ITrcPktIndexer< Pt >

Templated interface class to index packet types.

Each protocol version will have an associated indexer that will index significant packets such as synchronisation points, timestamps, trigger events.

Creating an index is optional at runtime, but will allow any analysis program to synchronise the different trace streams.

Indexes need to be created only once and can be saved for re-use.

Packet processors should be created to support the attachment of an indexer.

Definition at line 60 of file trc_indexer_pkt_i.h.

## Constructor & Destructor Documentation

## ITrcPktIndexer()

template<class Pt>

ITrcPktIndexer< Pt >::ITrcPktIndexer | ( |  | ) |

inline

Definition at line 63 of file trc_indexer_pkt_i.h.

## ~ITrcPktIndexer()

template<class Pt>

virtual ITrcPktIndexer< Pt >::~ITrcPktIndexer | ( |  | ) |

inline virtual

Default constructor.

Definition at line 64 of file trc_indexer_pkt_i.h.

## Member Function Documentation

## TracePktIndex()

template<class Pt>

virtual void ITrcPktIndexer< Pt >::TracePktIndex | ( | const ocsd_trc_index_t | index_sop,
|  | const Pt * | packet_type
| ) |  |

pure virtual

Default destructor.

Interface method for trace packet indexing. Implementated by a channel packet indexer.

Parameters

  index_sop | : trace index at the start of the packet.
  *packet_type | : The packet type being indexed.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/interfaces/trc_indexer_pkt_i.h